<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="NodesDataSet" targetNamespace="http://tempuri.org/NodesDataSet.xsd" xmlns:mstns="http://tempuri.org/NodesDataSet.xsd" xmlns="http://tempuri.org/NodesDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections />
        <Tables />
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="NodesDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="NodesDataSet" msprop:Generator_UserDSName="NodesDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Nodes" msprop:Generator_TableClassName="NodesDataTable" msprop:Generator_TableVarName="tableNodes" msprop:Generator_TablePropName="Nodes" msprop:Generator_RowDeletingName="NodesRowDeleting" msprop:Generator_RowChangingName="NodesRowChanging" msprop:Generator_RowEvHandlerName="NodesRowChangeEventHandler" msprop:Generator_RowDeletedName="NodesRowDeleted" msprop:Generator_UserTableName="Nodes" msprop:Generator_RowChangedName="NodesRowChanged" msprop:Generator_RowEvArgName="NodesRowChangeEvent" msprop:Generator_RowClassName="NodesRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ID" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="1" msprop:Generator_ColumnVarNameInTable="columnID" msprop:Generator_ColumnPropNameInRow="ID" msprop:Generator_ColumnPropNameInTable="IDColumn" msprop:Generator_UserColumnName="ID" type="xs:int" />
              <xs:element name="ParentID" msprop:Generator_ColumnVarNameInTable="columnParentID" msprop:Generator_ColumnPropNameInRow="ParentID" msprop:Generator_ColumnPropNameInTable="ParentIDColumn" msprop:Generator_UserColumnName="ParentID" type="xs:int" minOccurs="0" />
              <xs:element name="Name" msprop:Generator_ColumnVarNameInTable="columnName" msprop:Generator_ColumnPropNameInRow="Name" msprop:Generator_ColumnPropNameInTable="NameColumn" msprop:Generator_UserColumnName="Name" type="xs:string" minOccurs="0" />
              <xs:element name="ImageIndex" msprop:Generator_ColumnVarNameInTable="columnImageIndex" msprop:Generator_ColumnPropNameInRow="ImageIndex" msprop:Generator_ColumnPropNameInTable="ImageIndexColumn" msprop:Generator_UserColumnName="ImageIndex" type="xs:int" minOccurs="0" />
              <xs:element name="NodeInfo" msprop:Generator_ColumnVarNameInTable="columnNodeInfo" msprop:Generator_ColumnPropNameInRow="NodeInfo" msprop:Generator_ColumnPropNameInTable="NodeInfoColumn" msprop:Generator_UserColumnName="NodeInfo" type="xs:anyType" minOccurs="0" />
              <xs:element name="Type" msprop:Generator_ColumnVarNameInTable="columnType" msprop:Generator_ColumnPropNameInRow="Type" msprop:Generator_ColumnPropNameInTable="TypeColumn" msprop:Generator_UserColumnName="Type" type="xs:unsignedByte" default="0" minOccurs="0" />
              <xs:element name="Category" msprop:Generator_ColumnVarNameInTable="columnCategory" msprop:Generator_ColumnPropNameInRow="Category" msprop:Generator_ColumnPropNameInTable="CategoryColumn" msprop:Generator_UserColumnName="Category" type="xs:string" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Categories" msprop:Generator_TableClassName="CategoriesDataTable" msprop:Generator_TableVarName="tableCategories" msprop:Generator_TablePropName="Categories" msprop:Generator_RowDeletingName="CategoriesRowDeleting" msprop:Generator_RowChangingName="CategoriesRowChanging" msprop:Generator_RowEvHandlerName="CategoriesRowChangeEventHandler" msprop:Generator_RowDeletedName="CategoriesRowDeleted" msprop:Generator_UserTableName="Categories" msprop:Generator_RowChangedName="CategoriesRowChanged" msprop:Generator_RowEvArgName="CategoriesRowChangeEvent" msprop:Generator_RowClassName="CategoriesRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Name" msprop:Generator_ColumnVarNameInTable="columnName" msprop:Generator_ColumnPropNameInRow="Name" msprop:Generator_ColumnPropNameInTable="NameColumn" msprop:Generator_UserColumnName="Name" type="xs:string" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Nodes" />
      <xs:field xpath="mstns:ID" />
    </xs:unique>
    <xs:unique name="NodesKey1">
      <xs:selector xpath=".//mstns:Nodes" />
      <xs:field xpath="mstns:ParentID" />
      <xs:field xpath="mstns:Name" />
    </xs:unique>
    <xs:unique name="Categories_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Categories" />
      <xs:field xpath="mstns:Name" />
    </xs:unique>
    <xs:keyref name="FK_Categories_Nodes" refer="Categories_Constraint1" msprop:rel_Generator_UserChildTable="Nodes" msprop:rel_Generator_ChildPropName="GetNodesRows" msprop:rel_Generator_UserRelationName="FK_Categories_Nodes" msprop:rel_Generator_RelationVarName="relationFK_Categories_Nodes" msprop:rel_Generator_UserParentTable="Categories" msprop:rel_Generator_ParentPropName="CategoriesRow">
      <xs:selector xpath=".//mstns:Nodes" />
      <xs:field xpath="mstns:Category" />
    </xs:keyref>
    <xs:keyref name="FK_Nodes_Nodes" refer="Constraint1" msprop:rel_Generator_UserChildTable="Nodes" msprop:rel_Generator_ChildPropName="GetNodesRows" msprop:rel_Generator_UserRelationName="FK_Nodes_Nodes" msprop:rel_Generator_RelationVarName="relationFK_Nodes_Nodes" msprop:rel_Generator_UserParentTable="Nodes" msprop:rel_Generator_ParentPropName="NodesRowParent">
      <xs:selector xpath=".//mstns:Nodes" />
      <xs:field xpath="mstns:ParentID" />
    </xs:keyref>
  </xs:element>
</xs:schema>